slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSLOBPCGSetLocking

Choose between locking and non-locking variants of the LOBPCG method.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSLOBPCGSetLocking(EPS eps,PetscBool lock)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| lock | - true if the locking variant must be selected

### Options Database Key

| -eps_lobpcg_locking | - Sets the locking flag

### Notes

This flag refers to soft locking (converged vectors within the current block iterate), since hard locking is always used (when nev is larger than the block size).

### See Also

EPSLOBPCGGetLocking()

### Level

advanced

### Location

src/eps/impls/cg/lobpcg/lobpcg.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages